# Saqr Player

This directory contains the Saqr Player application, which is used to play videos from the Saqr TV app.

## Setup

1. Install dependencies:
   ```
   npm install
   ```

2. Add your app icons to the assets directory:
   - icon.png (1024x1024)
   - adaptive-icon.png (1024x1024)
   - splash.png (1242x2688)
   - favicon.png (32x32)

3. Start the development server:
   ```
   npm start
   ```

4. Build the app for production:
   ```
   eas build -p android
   ```

## Integration with Saqr TV

Saqr Player receives video playback requests from the Saqr TV app via deep linking.
The deep link format is:

`saqrplayer://play?videoUrl=https://example.com/video.mp4&title=Video%20Title&thumbnail=https://example.com/thumb.jpg&contentType=movie`

For more details, see the main README.md file.

